"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const os_1 = require("os");
const appEvaluation_1 = __importDefault(require("./appEvaluation"));
const appExecute_1 = __importDefault(require("./appExecute"));
const time_1 = require("./helpers/time");
const app = async (argvArray, argvObject) => {
    const time = time_1.startTime();
    const cpuCount = os_1.cpus().length;
    const cpuUsed = Math.max(1, Math.floor(cpuCount * 0.9));
    const data = await appExecute_1.default(argvArray, argvObject, process.cwd(), cpuCount, cpuUsed);
    const status = appEvaluation_1.default(time, data);
    // eslint-disable-next-line unicorn/no-process-exit
    process.exit(status.error > 0 ? 1 : 0);
};
exports.default = app;
