"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cleanUpFiles_1 = require("./files/cleanUpFiles");
const time_1 = require("./helpers/time");
const outputs_1 = require("./outputs");
const evaluation_1 = require("./threshold/evaluation");
const settings_1 = require("./threshold/settings");
const appEvaluation = (time, data) => {
    const { cleanedUpFiles, thresholdData, thresholdLimits } = data;
    // remove all files with tests
    cleanUpFiles_1.cleanUpByFiles(cleanedUpFiles, thresholdData.map(({ file }) => file)).forEach((file) => {
        // add files without tests
        thresholdData.push({ file, threshold: settings_1.thresholdForFilesWithoutTests });
    });
    const status = evaluation_1.evaluationFiles(thresholdData, thresholdLimits);
    outputs_1.outputTable(thresholdData, thresholdLimits);
    outputs_1.outputMetrics(status, time_1.getRunTime(time));
    return status;
};
exports.default = appEvaluation;
