"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cleanUpByPatterns = (files, patterns, rootPath) => patterns
    .map((pattern) => new RegExp(pattern.replace('<rootDir>', rootPath)))
    .reduce((reduceFiles, pattern) => reduceFiles.filter((file) => !pattern.test(file)), files);
exports.cleanUpByFiles = (files, testFiles) => {
    testFiles.forEach((file) => {
        const pos = files.indexOf(file);
        if (pos >= 0) {
            delete files[pos];
        }
    });
    return files.filter((f) => Boolean(f));
};
const cleanUpFiles = (files, testFiles, config) => {
    // remove all files from ignore patterns
    const filesWithoutPatterns = exports.cleanUpByPatterns(files, config.coveragePathIgnorePatterns, config.rootDir);
    // remove all test files
    return exports.cleanUpByFiles(filesWithoutPatterns, testFiles);
};
exports.default = cleanUpFiles;
