"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fileList_1 = __importDefault(require("./fileList"));
const getFileLists = async (paths, patterns, pathCallback) => {
    const promises = [];
    for (const path of paths) {
        for (const pattern of patterns) {
            promises.push(fileList_1.default(pattern, path, pathCallback(path)));
        }
    }
    const lists = await Promise.all(promises);
    return lists.reduce((p, c) => p.concat(c), []).filter((v, i, a) => a.indexOf(v) === i);
};
exports.default = getFileLists;
