"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const fileSystems_1 = require("./fileSystems");
exports.getJestConfig = async (cwdDirectory, filename) => {
    const file = path_1.join(cwdDirectory, filename);
    const isReadable = await fileSystems_1.hasFileAccess(file, fs_1.constants.R_OK);
    if (!isReadable) {
        throw new Error(`File ${file} is not readable`);
    }
    return require(file);
};
exports.getJestFilename = async (path) => {
    let isRoot = false;
    let pathname = path;
    do {
        const filename = path_1.join(pathname, 'node_modules/.bin/jest');
        const isExecutable = await fileSystems_1.hasFileAccess(filename, fs_1.constants.X_OK);
        if (isExecutable) {
            return filename;
        }
        isRoot = pathname === path_1.dirname(pathname);
        pathname = path_1.dirname(pathname);
    } while (!isRoot && pathname !== '');
    return 'jest';
};
