"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
exports.cleanFileFromRootPath = (file, rootDirectory) => file.slice(Math.max(0, rootDirectory.length + 1));
exports.cleanFileFromExtensions = (file) => {
    const path = path_1.dirname(file);
    const base = path_1.basename(file);
    const name = base.slice(0, Math.max(0, base.indexOf('.') + 1));
    return path_1.join(path, name);
};
exports.mapPerLine = (value, callback) => value
    .split('\n')
    .map(callback)
    .join('\n');
exports.padFill = (value, length, fill) => [...new Array(Math.max(0, length - value.length))].fill(fill).join('');
exports.padLeft = (value, length, fill) => exports.padFill(value, length, fill) + value;
exports.padRight = (value, length, fill) => value + exports.padFill(value, length, fill);
exports.formatPercent = (value) => {
    const [pre, post = ''] = value.toString().split('.');
    return [exports.padLeft(pre, 3, ' '), exports.padRight(post, 2, '0')].join('.');
};
