"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const fileSystems_1 = require("../files/fileSystems");
const json_1 = require("../files/json");
const createRunner = async (i, mainFolder, config) => {
    const childFolder = await fileSystems_1.createFolder(mainFolder, i);
    const childConfig = { ...config, coverageDirectory: childFolder };
    const childConfigFile = path_1.join(childFolder, 'config.json');
    await json_1.writeJsonFile(childConfigFile, childConfig);
    return {
        configFile: childConfigFile,
        coverageFile: path_1.join(childFolder, 'coverage-summary.json'),
    };
};
exports.default = createRunner;
