"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fileSystems_1 = require("../files/fileSystems");
const createRunner_1 = __importDefault(require("./createRunner"));
const createRunners = async (config, cpuUsed) => {
    const mainFolder = await fileSystems_1.createFolder(config.rootDir, config.coverageDirectory);
    const promises = [];
    for (let i = 1; i <= cpuUsed; i++) {
        promises.push(createRunner_1.default(i, mainFolder, config));
    }
    const runners = await Promise.all(promises);
    return runners;
};
exports.default = createRunners;
