"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const extract_1 = __importDefault(require("../threshold/extract"));
const runnerEvaluation = async (runner, data) => {
    if (typeof runner.test !== 'undefined') {
        // job is ...
        if (runner.test.isPending()) {
            // ... not finish
            // isPending?
            return true;
        }
        // ... finish
        const resultJest = await runner.test.promise;
        if (typeof resultJest !== 'string') {
            // test threw a error
            data.thresholds.push({
                file: runner.test.file,
                error: resultJest,
                threshold: { branches: 'ERROR', functions: 'ERROR', lines: 'ERROR', statements: 'ERROR' },
            });
        }
        else {
            // test has been completed without errors.
            const resultExtract = await extract_1.default(runner.coverageFile, runner.test.file, data.config);
            data.thresholds.push(...resultExtract);
        }
        data.barIncrement();
        // clear the test object
        runner.test = undefined;
    }
    // isPending?
    return false;
};
exports.default = runnerEvaluation;
