"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commons_1 = require("../helpers/commons");
const string_1 = require("../helpers/string");
const runnerSpawn_1 = __importDefault(require("./runnerSpawn"));
const runnerInitialization = (runner, data) => {
    if (typeof runner.test === 'undefined') {
        const testFile = data.testFiles.shift();
        if (typeof testFile === 'string') {
            // create a new job
            const args = data.argvArray
                .map((argument) => argument.replace(data.configFile, runner.configFile))
                .concat(`--collectCoverageFrom=${string_1.cleanFileFromExtensions(testFile)}*`, testFile);
            runner.test = {
                file: testFile,
                ...commons_1.extendPromise(runnerSpawn_1.default(data.command, args, data.config)),
            };
            // isPending?
            return true;
        }
    }
    // isPending?
    return false;
};
exports.default = runnerInitialization;
