"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const errors_1 = require("../helpers/errors");
const runnerSpawn = (command, args, config) => new Promise((resolve, reject) => {
    const jest = child_process_1.spawn(command, args, { cwd: config.rootDir });
    let stringData = '';
    jest.stdout.on('data', (data) => {
        stringData += data;
    });
    jest.stderr.on('data', (data) => {
        stringData += data;
    });
    jest.on('close', (code) => {
        if (code === 0) {
            resolve(stringData.trim());
        }
        else {
            reject(new errors_1.TestError('Jest running error', stringData.trim()));
        }
    });
});
exports.default = runnerSpawn;
