"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const string_1 = require("../helpers/string");
const styling_1 = __importStar(require("../helpers/styling"));
const evaluation_1 = require("./evaluation");
const settings_1 = require("./settings");
const sort_1 = __importDefault(require("./sort"));
exports.createItem = (value, limit) => {
    const status = evaluation_1.evaluationFileStatus(value, limit);
    const text = typeof value === 'object' ? string_1.formatPercent(value.percent) : value;
    return styling_1.default(text, styling_1.statusToType(status));
};
const createTableData = (thresholds, thresholdLimits) => {
    const title = ['#', 'File', '% Stmts', '% Branch', '% Funcs', '% Lines'];
    const items = [title.map((t) => styling_1.default(t, 'bold'))];
    thresholds.sort(sort_1.default);
    thresholds.forEach((threshold, index) => {
        const file = threshold.file;
        const item = [(index + 1).toString(), path_1.join(path_1.dirname(file), styling_1.default(path_1.basename(file), 'bold'))];
        for (const key of settings_1.thresholdKeys) {
            item.push(exports.createItem(threshold.threshold[key], thresholdLimits[key]));
        }
        items.push(item);
    });
    return items;
};
exports.default = createTableData;
