"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const settings_1 = require("./settings");
exports.isSuccess = (percent, lines, limit) => (limit < 0 && -1 * lines >= limit) || (limit >= 0 && percent >= limit);
exports.evaluationFileStatus = (value, limit) => {
    if (typeof value === 'object') {
        const percent = value.percent;
        const lines = value.uncovered;
        switch (true) {
            case exports.isSuccess(percent, lines, limit):
                return 'success';
            default:
                return 'error';
        }
    }
    return 'error';
};
exports.evaluationFile = (threshold, thresholdValue) => {
    for (const key of settings_1.thresholdKeys) {
        const value = threshold.threshold[key];
        const limit = thresholdValue[key];
        const status = exports.evaluationFileStatus(value, limit);
        if (status === 'error') {
            return status;
        }
    }
    return 'success';
};
exports.evaluationFiles = (thresholds, thresholdValue) => {
    const data = { success: 0, error: 0 };
    for (const threshold of thresholds) {
        data[exports.evaluationFile(threshold, thresholdValue)] += 1;
    }
    return data;
};
