"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.thresholdKeys = ['statements', 'branches', 'functions', 'lines'];
exports.thresholdDefaultLimits = {
    branches: 95,
    functions: 95,
    lines: 95,
    statements: 95,
};
const thresholdValue = { percent: 0, uncovered: Infinity };
exports.thresholdForFilesWithoutTests = {
    branches: thresholdValue,
    functions: thresholdValue,
    lines: thresholdValue,
    statements: thresholdValue,
};
exports.drawHorizontalLine = (index, size) => index === 0 || index === 1 || index === size;
exports.tableConfig = {
    drawHorizontalLine: exports.drawHorizontalLine,
    columns: {
        0: { alignment: 'right' },
        1: { alignment: 'left' },
        2: { alignment: 'right' },
        3: { alignment: 'right' },
        4: { alignment: 'right' },
    },
    border: {
        topBody: '─',
        topJoin: '┬',
        topLeft: '',
        topRight: '',
        bottomBody: '─',
        bottomJoin: '┴',
        bottomLeft: '',
        bottomRight: '',
        bodyLeft: '',
        bodyRight: '',
        bodyJoin: '│',
        joinBody: '─',
        joinLeft: '',
        joinRight: '',
        joinJoin: '┼',
    },
};
